Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.usermodel
Class HSSFDataValidation

    java.lang.Object
      org.apache.poi.hssf.usermodel.HSSFDataValidation

All Implemented Interfaces:
  DataValidation

    public final class HSSFDataValidation

extends java.lang.Object
implements DataValidation

Utility class for creating data validation cells

Author:
  Dragos Buleandra (dragos.buleandra@trade2b.ro)

Nested Class Summary

Nested classes/interfaces inherited from interface org.apache.poi.ss.usermodel.DataValidation
`DataValidation.ErrorStyle`

Constructor Summary
`HSSFDataValidation(CellRangeAddressList regions, DataValidationConstraint constraint)` Constructor which initializes the cell range on which this object will be applied

Method Summary
`DVRecord` | `createDVRecord(HSSFSheet sheet)`
`void` | `createErrorBox(java.lang.String title, java.lang.String text)` Sets the title and text for the error box .
`void` | `createPromptBox(java.lang.String title, java.lang.String text)` Sets the title and text for the prompt box .
`DVConstraint` | `getConstraint()`
`boolean` | `getEmptyCellAllowed()` Retrieve the settings for empty cells allowed
`java.lang.String` | `getErrorBoxText()`
`java.lang.String` | `getErrorBoxTitle()`
`int` | `getErrorStyle()` o
`java.lang.String` | `getPromptBoxText()`
`java.lang.String` | `getPromptBoxTitle()`
`CellRangeAddressList` | `getRegions()`
`boolean` | `getShowErrorBox()`
`boolean` | `getShowPromptBox()`
`boolean` | `getSuppressDropDownArrow()` Useful only list validation objects .
`DataValidationConstraint` | `getValidationConstraint()`
`void` | `setEmptyCellAllowed(boolean allowed)` Sets if this object allows empty as a valid value
`void` | `setErrorStyle(int error_style)` Sets the error style for error box
`void` | `setShowErrorBox(boolean show)` Sets the behaviour when an invalid value is entered
`void` | `setShowPromptBox(boolean show)` Sets the behaviour when a cell which belongs to this object is selected
`void` | `setSuppressDropDownArrow(boolean suppress)` Useful for list validation objects .

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HSSFDataValidation

    public HSSFDataValidation(CellRangeAddressList regions,
                              DataValidationConstraint constraint)

  Constructor which initializes the cell range on which this object will be applied

  Parameters:
    `constraint` -

Method Detail

### getValidationConstraint

    public DataValidationConstraint getValidationConstraint()

  Specified by:
    `getValidationConstraint` in interface `DataValidation`

### getConstraint

    public DVConstraint getConstraint()

### getRegions

    public CellRangeAddressList getRegions()

  Specified by:
    `getRegions` in interface `DataValidation`

### setErrorStyle

    public void setErrorStyle(int error_style)

  Description copied from interface: `DataValidation`
  Sets the error style for error box

  Specified by:
    `setErrorStyle` in interface `DataValidation`
  See Also:
    `DataValidation.ErrorStyle`

### getErrorStyle

    public int getErrorStyle()

  Description copied from interface: `DataValidation`
  o

  Specified by:
    `getErrorStyle` in interface `DataValidation`
  Returns:
    the error style of error box
  See Also:
    `DataValidation.ErrorStyle`

### setEmptyCellAllowed

    public void setEmptyCellAllowed(boolean allowed)

  Description copied from interface: `DataValidation`
  Sets if this object allows empty as a valid value

  Specified by:
    `setEmptyCellAllowed` in interface `DataValidation`
  Parameters:
    `allowed` - `true` if this object should treats empty as valid value , `false` otherwise

### getEmptyCellAllowed

    public boolean getEmptyCellAllowed()

  Description copied from interface: `DataValidation`
  Retrieve the settings for empty cells allowed

  Specified by:
    `getEmptyCellAllowed` in interface `DataValidation`
  Returns:
    True if this object should treats empty as valid value , false otherwise

### setSuppressDropDownArrow

    public void setSuppressDropDownArrow(boolean suppress)

  Description copied from interface: `DataValidation`
  Useful for list validation objects .

  Specified by:
    `setSuppressDropDownArrow` in interface `DataValidation`
  Parameters:
    `suppress` - True if a list should display the values into a drop down list , false otherwise . In other words , if a list should display the arrow sign on its right side

### getSuppressDropDownArrow

    public boolean getSuppressDropDownArrow()

  Description copied from interface: `DataValidation`
  Useful only list validation objects . This method always returns false if the object isn't a list validation object

  Specified by:
    `getSuppressDropDownArrow` in interface `DataValidation`
  Returns:
    `true` if a list should display the values into a drop down list , `false` otherwise .

### setShowPromptBox

    public void setShowPromptBox(boolean show)

  Description copied from interface: `DataValidation`
  Sets the behaviour when a cell which belongs to this object is selected

  Specified by:
    `setShowPromptBox` in interface `DataValidation`
  Parameters:
    `show` - `true` if an prompt box should be displayed , `false` otherwise

### getShowPromptBox

    public boolean getShowPromptBox()

  Specified by:
    `getShowPromptBox` in interface `DataValidation`
  Returns:
    `true` if an prompt box should be displayed , `false` otherwise

### setShowErrorBox

    public void setShowErrorBox(boolean show)

  Description copied from interface: `DataValidation`
  Sets the behaviour when an invalid value is entered

  Specified by:
    `setShowErrorBox` in interface `DataValidation`
  Parameters:
    `show` - `true` if an error box should be displayed , `false` otherwise

### getShowErrorBox

    public boolean getShowErrorBox()

  Specified by:
    `getShowErrorBox` in interface `DataValidation`
  Returns:
    `true` if an error box should be displayed , `false` otherwise

### createPromptBox

    public void createPromptBox(java.lang.String title,
                                java.lang.String text)

  Description copied from interface: `DataValidation`
  Sets the title and text for the prompt box . Prompt box is displayed when the user selects a cell which belongs to this validation object . In order for a prompt box to be displayed you should also use method setShowPromptBox( boolean show )

  Specified by:
    `createPromptBox` in interface `DataValidation`
  Parameters:
    `title` - The prompt box's title
    `text` - The prompt box's text

### getPromptBoxTitle

    public java.lang.String getPromptBoxTitle()

  Specified by:
    `getPromptBoxTitle` in interface `DataValidation`
  Returns:
    Prompt box's title or `null`

### getPromptBoxText

    public java.lang.String getPromptBoxText()

  Specified by:
    `getPromptBoxText` in interface `DataValidation`
  Returns:
    Prompt box's text or `null`

### createErrorBox

    public void createErrorBox(java.lang.String title,
                               java.lang.String text)

  Description copied from interface: `DataValidation`
  Sets the title and text for the error box . Error box is displayed when the user enters an invalid value int o a cell which belongs to this validation object . In order for an error box to be displayed you should also use method setShowErrorBox( boolean show )

  Specified by:
    `createErrorBox` in interface `DataValidation`
  Parameters:
    `title` - The error box's title
    `text` - The error box's text

### getErrorBoxTitle

    public java.lang.String getErrorBoxTitle()

  Specified by:
    `getErrorBoxTitle` in interface `DataValidation`
  Returns:
    Error box's title or `null`

### getErrorBoxText

    public java.lang.String getErrorBoxText()

  Specified by:
    `getErrorBoxText` in interface `DataValidation`
  Returns:
    Error box's text or `null`

### createDVRecord

    public DVRecord createDVRecord(HSSFSheet sheet)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2010 The Apache Software Foundation or its licensors, as applicable.